﻿$ErrorActionPreference = 'Stop'
$packageName = 'dsinternals-psmodule'

$PSversion = $PSVersionTable.PSVersion.Major
if ($PSversion -lt "5")
   {
    Write-Host "PowerShell < v5 detected." -forground red -background blue
	Write-Host "If PowerShell v5 was installed as a dependency, you need to reboot before installing this package." -foreground red -background blue
	throw
   }

Get-PackageProvider -Name NuGet -Force
Install-Module -Name DSInternals -RequiredVersion 2.22 -AllowClobber -Force
Import-Module -Name DSInternals
